Skip to main content
GET
/
agents
/
{agentId}
/
threads
/
{threadId}
/
stream
JavaScript
import Cerca from '@cerca-dev/sdk';

const client = new Cerca({
  apiKey: process.env['CERCA_API_KEY'], // This is the default and can be omitted
});

const threadStreamEvent = await client.events.streamForThread('agent_abc123', 'thread_abc123');

console.log(threadStreamEvent);
{
  "eventSeq": 123,
  "turnId": "<string>",
  "error": "<string>",
  "result": "<string>",
  "stepSeq": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.cerca.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agentId
string
required
Minimum string length: 1
Example:

"agent_abc123"

threadId
string
required
Minimum string length: 1
Example:

"thread_abc123"

Response

Thread message stream

eventSeq
number
required
turnId
string
required
error
string | null
required
result
string | null
required
status
enum<string>
required

idle threads can accept a new turn or be closed. running threads have an active turn. awaiting threads are paused on external input such as approvals. closed threads are terminal.

Available options:
idle,
running,
awaiting,
closed
stepSeq
number
required
type
enum<string>
required
Available options:
status